Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QDragEnterEvent Class Reference

The QDragEnterEvent class provides an event which is sent to the widget when a drag and drop first drags onto the widget. More...

`#include <qevent.h>`

Inherits QDragMoveEvent.

List of all member functions.

## Public Members

- QDragEnterEvent ( const QPoint & pos )

## Detailed Description

The QDragEnterEvent class provides an event which is sent to the widget when a drag and drop first drags onto the widget.

This event is always immediately followed by a QDragMoveEvent, so you only need to respond to one or the other event. This class inherits most of its functionality from QDragMoveEvent, which in turn inherits most of its functionality from QDropEvent.

See also QDragLeaveEvent, QDragMoveEvent, QDropEvent, Drag And Drop Classes, and Event Classes.

## Member Function Documentation

### QDragEnterEvent::QDragEnterEvent ( const QPoint & pos )

Constructs a QDragEnterEvent entering at the given point, pos.

Warning: Do not create a QDragEnterEvent yourself since these objects rely on Qt's internal state.

This file is part of the Qt toolkit. Copyright © 1995-2004 Trolltech. All Rights Reserved.